//Libaries
#include <Wire.h>
#include <Adafruit_MotorShield.h>
#include "utility/Adafruit_PWMServoDriver.h"
#include <Adafruit_MCP23017.h>
#include <Adafruit_RGBLCDShield.h>

// These #defines make it easy to set the backlight color
#define RED 0x1
#define YELLOW 0x3
#define GREEN 0x2
#define TEAL 0x6
#define BLUE 0x4
#define VIOLET 0x5
#define WHITE 0x7

//Shields
Adafruit_RGBLCDShield LCD = Adafruit_RGBLCDShield();
Adafruit_MotorShield AFMS = Adafruit_MotorShield(); 

//Motors
Adafruit_DCMotor *myMotorLF = AFMS.getMotor(1);
Adafruit_DCMotor *myMotorRF = AFMS.getMotor(4);
Adafruit_DCMotor *myMotorLB = AFMS.getMotor(2);
Adafruit_DCMotor *myMotorRB = AFMS.getMotor(3);

//Variables
int value;

void setup() {
  Serial.begin(9600);
  LCD.begin(16, 2);
  LCD.setBacklight(WHITE);
  AFMS.begin();
  
  // Set the speed to start, from 0 (off) to 255 (max speed)
  myMotorLF->setSpeed(255);
  myMotorRF->setSpeed(255);
  myMotorLB->setSpeed(255);
  myMotorRB->setSpeed(255);
}

void loop() {
  if (Serial.available() > 0) {
    value = Serial.read();
    LCD.clear();
    LCD.setCursor(0,0);
    LCD.print(value);
    //Move motors
    if (value==0){
        myMotorRF->run(RELEASE);
        myMotorLB->run(RELEASE);
        myMotorRB->run(RELEASE);
        myMotorLF->run(RELEASE);
    }
    if (value==1){
        myMotorRF->run(FORWARD);
        myMotorLB->run(FORWARD);
        myMotorRB->run(FORWARD);
        myMotorLF->run(FORWARD);
    }
    if (value==2){
        myMotorRF->run(BACKWARD);
        myMotorLB->run(BACKWARD);
        myMotorRB->run(BACKWARD);
        myMotorLF->run(BACKWARD);
    }
    if (value==3){
        myMotorRF->run(BACKWARD);
        myMotorLB->run(FORWARD);
        myMotorRB->run(BACKWARD);
        myMotorLF->run(FORWARD);
    }
    if (value==4){
        myMotorRF->run(FORWARD);
        myMotorLB->run(BACKWARD);
        myMotorRB->run(FORWARD);
        myMotorLF->run(BACKWARD);
    }
  }
}
